Run Deliverability Agent now
curl --request POST \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/run-now"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"id": "01a0206f-ab5d-7a94-b390-0e72d746d00a",
"organization_id": "01a0206f-ab5d-7a94-b390-0e739ce03f39",
"name": "Test AI Agent",
"payload": {
"campaign_id": "01a0206f-ab5d-7a94-b390-0e718e34de4a",
"campaign_name": "Outbound US",
"search_filters": {},
"min_active_leads": 50,
"on_exhaustion": "pause",
"fallback_search_filters": {},
"ai_enrichment": {},
"ai_enrichment_workflow": "custom:0198c2a4-3f1e-7000-8000-000000000000"
},
"timestamp_created": "2026-08-20T18:29:44.413Z",
"timestamp_updated": "2026-08-20T18:29:44.413Z",
"status": 1,
"type": 1,
"is_auto_created": false,
"created_by": "01a0206f-ab5d-7a94-b390-0e74994e2dba",
"description": "Optional agent description"
},
"cycle_id": "01a0206f-e3c8-7c89-bb8e-26ad638ed6a3",
"run_cycle_enqueued": true
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "Deliverability Agent is not active"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "Unable to start Deliverability Agent run"
}AI Deliverability Agent
Run Deliverability Agent now
Requires one of the following scopes: ai_agents:update, ai_agents:all, all:update, all:all
POST
/
api
/
v2
/
ai-agents
/
deliverability
/
run-now
Run Deliverability Agent now
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
โI